## uucp 1.06.1-2

=== lib/Makefile ===
# Generated automatically from Makefile.in by configure.
# This is the Makefile for the lib subdirectory of Taylor UUCP
#
# The file Makefile.in should be processed by configure to generate
# Makefile.  If you want to generate Makefile by hand, you must find
# all variables surrounded by @ and replace them with the correct
# value (e.g. gcc must be replaced by something like cc or gcc).

SHELL=/bin/sh

# These are overridden by the call from the top level Makefile
CC = gcc
CPPFLAGS = 
CFLAGS = -g -O
AR = ar
RANLIB = ranlib

srcdir = .

MORECFLAGS = -I.. -I$(srcdir)/..

OBJS = buffer.o crc.o debug.o escape.o getopt.o getop1.o parse.o spool.o \
	status.o xfree.o xmall.o xreall.o \
	 getlin.o

all: libuucp.a

clean:
	rm -f $(OBJS) libuucp.a

distclean: clean
	rm -f Makefile

mostlyclean: clean
maintainer-clean realclean: distclean

libuucp.a: $(OBJS)
	rm -f libuucp.a
	$(AR) rc libuucp.a $(OBJS)
	-$(RANLIB) libuucp.a

.c.o:
	$(CC) -c $(MORECFLAGS) $(CPPFLAGS) $(CFLAGS) $<

dist:
	mkdir ../uucp-$(VERSION)/lib
	ln `cat $(srcdir)/MANIFEST | sed -e 's|^|$(srcdir)/|'` ../uucp-$(VERSION)/lib

Makefile: Makefile.in
	cd .. && CONFIG_FILES=lib/Makefile CONFIG_HEADERS= $(SHELL) ./config.status

# Header file dependencies.

$(OBJS): $(srcdir)/../uucp.h ../config.h $(srcdir)/../policy.h

buffer.o: $(srcdir)/../uudefs.h
crc.o: $(srcdir)/../prot.h
debug.o: $(srcdir)/../uudefs.h
escape.o: $(srcdir)/../uudefs.h
getopt.o: $(srcdir)/../getopt.h $(srcdir)/../uudefs.h
getop1.o: $(srcdir)/../getopt.h
parse.o: $(srcdir)/../uudefs.h
spool.o: $(srcdir)/../uudefs.h
status.o: $(srcdir)/../uudefs.h
xfree.o: $(srcdir)/../uudefs.h
xmall.o: $(srcdir)/../uudefs.h
xreall.o: $(srcdir)/../uudefs.h

.PHONY: all clean distclean mostlyclean maintainer-clean realclean dist

=== unix/Makefile ===
# Generated automatically from Makefile.in by configure.
# This is the Makefile for the unix subdirectory of Taylor UUCP.
# This subdirectory contains Unix specific support functions.
#
# The file Makefile.in should be processed by configure to generate
# Makefile.  If you want to generate Makefile by hand, you must find
# all variables surrounded by @ and replace them with the correct
# value (e.g. gcc must be replaced by something like cc or gcc).

SHELL=/bin/sh

# These are overridden by the call from the top level Makefile
CC = gcc
CPPFLAGS = 
CFLAGS = -g -O
AR = ar
RANLIB = ranlib
sbindir = ${prefix}/lib/uucp
UUDIRFLAGS =

srcdir = .

MORECFLAGS = -I.. -I$(srcdir)/.. -DSBINDIR=\"$(sbindir)\" -DOWNER=\"$(owner)\" $(UUDIRFLAGS)

OBJS = access.o addbas.o app3.o app4.o basnam.o bytfre.o corrup.o \
	chmod.o cohtty.o cusub.o cwd.o detach.o efopen.o epopen.o \
	exists.o failed.o filnam.o fsusg.o indir.o init.o isdir.o \
	isfork.o iswait.o jobid.o lcksys.o link.o locfil.o lock.o \
	loctim.o mail.o mkdirs.o mode.o move.o opensr.o pause.o \
	picksb.o pipe.o portnm.o priv.o proctm.o recep.o run.o seq.o \
	serial.o signal.o sindir.o size.o sleep.o spawn.o splcmd.o \
	splnam.o spool.o srmdir.o statsb.o status.o sync.o tcp.o \
	time.o tli.o tmpfil.o trunc.o uacces.o ufopen.o uid.o ultspl.o \
	unknwn.o uuto.o walk.o wldcrd.o work.o xqtfil.o xqtsub.o 

all: libunix.a

clean:
	rm -f $(OBJS) libunix.a

distclean: clean
	rm -f Makefile

mostlyclean: clean
maintainer-clean realclean: distclean

libunix.a: $(OBJS)
	rm -f libunix.a
	$(AR) rc libunix.a $(OBJS)
	-$(RANLIB) libunix.a

.c.o:
	$(CC) -c $(MORECFLAGS) $(CPPFLAGS) $(CFLAGS) $<

dist:
	mkdir ../uucp-$(VERSION)/unix
	ln `cat $(srcdir)/MANIFEST | sed -e 's|^|$(srcdir)/|'` ../uucp-$(VERSION)/unix

Makefile: Makefile.in
	cd .. && CONFIG_FILES=unix/Makefile CONFIG_HEADERS= $(SHELL) ./config.status

# Header file dependencies.

$(OBJS): $(srcdir)/../uucp.h ../config.h $(srcdir)/../policy.h ../sysdep.h

access.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
addbas.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
app3.o: $(srcdir)/../uudefs.h
app4.o: $(srcdir)/../uudefs.h
basnam.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
chmod.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
corrup.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
cusub.o: $(srcdir)/../cu.h $(srcdir)/../uudefs.h $(srcdir)/../conn.h
cusub.o: $(srcdir)/../prot.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
cwd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
detach.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
efopen.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
exists.o: $(srcdir)/../system.h
failed.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
filnam.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
fsusg.o: $(srcdir)/../uudefs.h
indir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
init.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
isdir.o: $(srcdir)/../system.h
iswait.o: $(srcdir)/../uudefs.h
jobid.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
lcksys.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
link.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
locfil.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
lock.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
loctim.o: $(srcdir)/../system.h
mail.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
mkdirs.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
mode.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
move.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
opensr.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
pause.o: $(srcdir)/../system.h
picksb.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
pipe.o: $(srcdir)/../uudefs.h $(srcdir)/../conn.h $(srcdir)/../system.h
pipe.o: $(srcdir)/../uuconf.h
portnm.o: $(srcdir)/../system.h
priv.o: $(srcdir)/../system.h
proctm.o: $(srcdir)/../system.h
recep.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
run.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h Makefile ../Makefile
seq.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
serial.o: $(srcdir)/../uudefs.h $(srcdir)/../conn.h $(srcdir)/../system.h
serial.o: $(srcdir)/../uuconf.h
signal.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
sindir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
size.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
sleep.o: $(srcdir)/../system.h
spawn.o: $(srcdir)/../uudefs.h
splcmd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
splnam.o: $(srcdir)/../system.h $(srcdir)/../uuconf.h
spool.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
srmdir.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
statsb.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
status.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
sync.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
tcp.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../conn.h
tcp.o: $(srcdir)/../system.h
time.o: $(srcdir)/../system.h
tli.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../conn.h
tli.o: $(srcdir)/../system.h
tmpfil.o: $(srcdir)/../uudefs.h $(srcdir)/../uuconf.h $(srcdir)/../system.h
trunc.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uacces.o: $(srcdir)/../uudefs.h
ufopen.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uid.o: $(srcdir)/../uudefs.h
ultspl.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
unknwn.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
uuto.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
walk.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
wldcrd.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
work.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h
xqtfil.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h
xqtsub.o: $(srcdir)/../uudefs.h $(srcdir)/../system.h $(srcdir)/../uuconf.h

.PHONY: all clean distclean mostlyclean maintainer-clean realclean dist

=== uuconf/Makefile ===
# Generated automatically from Makefile.in by configure.
# This is the Makefile for the Taylor UUCP uuconf library
#
# The file Makefile.in should be processed by configure to generate
# Makefile.  If you want to generate Makefile by hand, you must find
# all variables surrounded by @ and replace them with the correct
# value (e.g. gcc must be replaced by something like cc or gcc).

SHELL = /bin/sh

# These values are overriden by the top level Makefile
prefix = /usr
newconfigdir = $(prefix)/conf/uucp
oldconfigdir = /usr/lib/uucp

# These values are overridden by the top level Makefile
CC = gcc
CPPFLAGS = 
CFLAGS = -g -O
AR = ar
RANLIB = ranlib
LN_S = ln -s

# Source directory and, if necessary, VPATH
srcdir = .

MORECFLAGS = -I. -I$(srcdir) -I.. -I$(srcdir)/.. -DNEWCONFIGLIB=\"$(newconfigdir)\" -DOLDCONFIGLIB=\"$(oldconfigdir)\"

OBJS = addblk.o addstr.o allblk.o alloc.o base.o bool.o callin.o \
	calout.o chatc.o cmdarg.o cmdfil.o cmdlin.o debfil.o deblev.o \
	diacod.o dial.o diasub.o dnams.o errno.o errstr.o filnam.o \
	freblk.o fredia.o free.o freprt.o fresys.o grdcmp.o hdial.o \
	hdnams.o hinit.o hlocnm.o hport.o hrmunk.o hsinfo.o hsnams.o \
	hsys.o hunk.o iniglb.o init.o int.o lckdir.o lineno.o llocnm.o \
	local.o locnm.o logfil.o maxuxq.o mrgblk.o paramc.o port.o \
	prtsub.o pubdir.o rdlocs.o rdperm.o reliab.o remunk.o runuxq.o \
	sinfo.o snams.o split.o spool.o stafil.o strip.o syssub.o \
	tcalou.o tdial.o tdialc.o tdnams.o tgcmp.o thread.o time.o \
	tinit.o tlocnm.o tport.o tportc.o tsinfo.o tsnams.o tsys.o \
	tval.o ugtlin.o unk.o val.o vinit.o vport.o vsinfo.o vsnams.o \
	vsys.o

all: libuuconf.a

libuuconf.a: $(OBJS)
	rm -f libuuconf.a
	$(AR) rc libuuconf.a $(OBJS)
	-$(RANLIB) libuuconf.a

.c.o:
	$(CC) -c $(MORECFLAGS) $(CPPFLAGS) $(CFLAGS) $<

syshdr.h: syshdr.unx
	rm -f syshdr.h
	$(LN_S) $(srcdir)/syshdr.unx syshdr.h

clean:
	rm -f $(OBJS) libuuconf.a syshdr.h

distclean: clean
	rm -f Makefile

mostlyclean: clean
maintainer-clean realclean: distclean

dist:
	mkdir ../uucp-$(VERSION)/uuconf
	ln `cat $(srcdir)/MANIFEST | sed -e 's|^|$(srcdir)/|'` ../uucp-$(VERSION)/uuconf

Makefile: Makefile.in
	cd .. && CONFIG_FILES=uuconf/Makefile CONFIG_HEADERS= $(SHELL) ./config.status

# Header file dependencies

$(OBJS): uucnfi.h syshdr.h $(srcdir)/../uucp.h ../config.h $(srcdir)/../policy.h $(srcdir)/../uuconf.h

addblk.o: alloc.h
allblk.o: alloc.h
alloc.o: alloc.h
callin.o: Makefile ../Makefile
freblk.o: alloc.h
free.o: alloc.h
hinit.o: Makefile ../Makefile
hrmunk.o: Makefile ../Makefile
maxuxq.o: Makefile ../Makefile
mrgblk.o: alloc.h
rdperm.o: Makefile ../Makefile
tinit.o: Makefile ../Makefile
vinit.o: Makefile ../Makefile

.PHONY: all clean distclean mostlyclean maintainer-clean realclean dist

## uucp 1.07

=== debian/changelog ===
uucp (1.07-31) unstable; urgency=medium

  * debian/control: bump standard to 4.7.2 (no changes)
  * debian/rules: add -D_FILE_OFFSET_BITS=64 to CFLAGS
    (Closes: #747018)
    (thanks a lot to Christian Garbs for reporting an issue and
     providing a fix)
  * debian/uucp.cron.daily: replace su by runuser (Closes: #1087164)
    (thanks a lot to Marco d'Itri for the hint)
  * debian/etc.uucp/sys: remove "short-packets" line (Closes: #942818)
    (thanks a lot to John Goerzen for finding this)
  * add gcc15.patch (Closes: #1098051)
  * add limit-fd-handling.patch (Closes: #942859)
    (thanks a lot to John Goerzen for the suggestion)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 15 Sep 2025 09:00:00 +0200

uucp (1.07-30) unstable; urgency=medium

  * fix issues with gcc14 (Closes: #1075610)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 13:00:00 +0200

uucp (1.07-29) unstable; urgency=medium

  * take care of implicit function declaration (Closes: #1066434)
    (this even affects the configure script)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 12 Apr 2024 22:00:00 +0200

uucp (1.07-28) unstable; urgency=medium

  * Fix FTBFS when dh_installsystemd moves units to /usr
    Thanks to Helmut Grohne for the patch
    (Closes: #1052716)
  * debian/control: bump standard to 4.6.2 (no changes)
  * debian/patches: no need to forward them to upstream

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 03 Oct 2023 18:00:00 +0200

uucp (1.07-27) unstable; urgency=medium

  * add improved-pipe.patch to be able to replace the placeholder \Z
    by the system name of the called system
    thanks to Rafael Diniz for the patch

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 17 Aug 2019 22:00:00 +0200

uucp (1.07-26) unstable; urgency=medium

  * debian/control: add Salsa VCS URLs
  * debian/control: no longer Depend: on inetd but only Recommends:
                    (Closes: #589535)
  * debian/control: no longer Depend: on cu but only Recommends:
  * debian/uucp.postinst: only call update-inetd when available
                    (Closes: #919277)
  * debian/uucp.postinst: remove code for old version no longer
                          available in any release
  * debian/uucp.postrm: avoid paths
  * add service file for uucp, don't automatically use it
    (thanks to Jörg Sommer for the service file)
  * add patch to wait for correct parent (Closes: #922438)
    (thanks to Jörg Sommer for the patch)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Mar 2019 16:00:00 +0100

uucp (1.07-25) sid; urgency=medium

  * debian/control: use dh11
  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: no longer depend on exim
  * debian/control: add ORed dependency on cron-daemon (Closes: #877059)
                    Thanks to Jörg Sommer for the hint.
  * debian/rules: add hardening flags
  * Fix FTCBFS: (Closes: #879580)
    + Thanks to Helmut Grohne for the patch!
    + Let dh_auto_build pass cross compilers to make in contrib.
    + Use a triplet-prefixed CC in d/rules.
  * debian/patches: improve spelling.patch
  * debian/patches: improve manpage.patch (Closes: #902671)
                    Thanks to Patrik Schindler for the hint.


 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 10 Jan 2019 19:00:00 +0100

uucp (1.07-24) unstable; urgency=medium

  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: use dh10
  * debian/control: set priority to optional
  * add option-to-not-force-hw-control.patch (Closes: #336996)
    introduce option to disable hw control on serial line
    thanks to Michal Suchanek for the patch
  * avoid unnecessary sleeps (Closes: #760556, #675101)
    thanke to Frank Heckenbach for the patch
  * no longer depends on install-info (Closes: #724779)
    (see 1.07-22 and #598904 for more info)
  * keeping /etc/cron.d/uucp (Closes: #473203)
  * Recommends: instead of Depends: on logrotate (Closes: #422969)
  * fix spelling error in debian/contrib/in.uucpd.8

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 27 Sep 2017 19:00:00 +0200

uucp (1.07-23) unstable; urgency=medium

  * upload to unstable now
  * confirm NMU
  * patch from NMU also closes: #759285
    with patch from Marco d'Itri

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 08 Oct 2015 19:00:00 +0200

uucp (1.07-20.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Pass "-s /bin/sh" to "su uucp" to cope with the change of uucp's shell
    in base-passwd 3.5.30 (closes: #734723).

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 Jan 2014 12:44:41 +0000

uucp (1.07-22) experimental; urgency=low

  * debian/README.Debian: correct path to info files (Closes: #453957)
  * debian/README.exim4: update pointer to exim4 config
  * debian/control: fix typo (Closes: #602629)
  * debian/control: add 'serial' to description of cu (Closes: #358861)
  * debian/rules: call to deprecated install-info comes from debhelper
                  (thanks Guillem Jover for checking)
                  (Closes: #598904)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 27 Jul 2013 12:00:00 +0200

uucp (1.07-21) experimental; urgency=low

  * New maintainer (Closes: #699118)
  * upload to experimental
  * debian/control: switch to dh 9
  * debian/control: switch to standard 3.9.4
  * debian/control: add homepage field
  * debian/control: no need to Conflict: or Replace: with uucp v1.06 anymore
  * debian/control: no need to Conflict: with tua 4.3-3 anymore
  * debian/control: add ${misc:Depends} to binary uucp package
  * debian/control: add bsd-mailx as real package to mailx dependency
  * debian/source/format: use 3.0 (quilt)
  * debian/copyright: change to machine readable format
  * debian/patches: add patch to fix manpage issues and spelling error
  * debian/watch: file added

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Jun 2013 11:00:00 +0200

uucp (1.07-20) unstable; urgency=low

  * New maintainer                  Closes: #517906


=== debian/control ===
Source: uucp
Section: comm
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 12)
	, texinfo
	, libpam-dev
Standards-Version: 4.7.2
Homepage: http://airs.com/ian/uucp.html
Vcs-Browser: https://salsa.debian.org/alteholz/uucp
Vcs-Git: https://salsa.debian.org/alteholz/uucp.git
Rules-Requires-Root: binary-targets

Package: uucp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
	, cron | cron-daemon
	, bsd-mailx|mailx
	, libpam-runtime (>= 0.76-13.1)
	, netbase
Recommends: postfix | exim4 | smail | courier-mta | zmailer | rmail
	, logrotate
	, openbsd-inetd | inet-superserver
	, cu (= ${binary:Version})
Description: Unix to Unix Copy Program
 UUCP will copy files to or from another (usually *nix) system, which
 also runs uucp.
 .
 UUCP is used to transfer mail, news and random files between systems
 which are not connected by more modern networks.  The communication can
 be made via modems, direct (hard-wired) serial connections or via an IP
 connection.

Package: cu
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: call up another system
 The  cu  command is used to call up another system and act as a dial-in
 terminal (mostly on a serial line). It can also do simple file transfers
 with no error checking.
 .
 cu is part of the UUCP source but has been split into its
 own package because it can be useful even if you do not do
 uucp.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
include /usr/share/dpkg/architecture.mk
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
  confflags += --build $(DEB_HOST_GNU_TYPE)
else
  confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE)
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

ifeq ($(origin CC),default)
CC = $(DEB_HOST_GNU_TYPE)-gcc
endif
CFLAGS += -Wall -g $(LDFLAGS) $(CPPFLAGS) -D_FILE_OFFSET_BITS=64
ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

%:
	dh $@

override_dh_auto_configure:
	./configure \
		$(confflags) \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--with-newconfigdir=/etc/uucp \
		--with-oldconfigdir=/etc/uucp

override_dh_auto_clean:
	dh_clean
	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f contrib/uurate
	rm -f build debian/contrib/in.uucpd

override_dh_auto_build:
	$(MAKE) CFLAGS="$(CFLAGS)"
	dh_auto_build --buildsystem=makefile --sourcedirectory=contrib -- \
		-f Makefile.uurt CFLAGS="$(CFLAGS)" \
	  	newconfigdir=/etc/uucp
	$(CC) $(CFLAGS) -o debian/contrib/in.uucpd debian/contrib/in.uucpd.c -lpam -lpam_misc

override_dh_fixperms:
	dh_fixperms
	#
	# Refix ownership and permissions
	#
	chown -R root.root debian/uucp
	chown -R root.root debian/cu
	chown    root.uucp debian/uucp/etc/uucp/*
	chown    root.uucp debian/cu/etc/uucp/*
	#
	chown uucp.uucp `pwd`/debian/uucp/usr/lib/uucp
	chmod 00750     `pwd`/debian/uucp/usr/lib/uucp
	chown uucp.uucp `pwd`/debian/uucp/var/log/uucp
	chown uucp.uucp `pwd`/debian/uucp/var/spool/uucp
	chown uucp.uucp `pwd`/debian/uucp/var/spool/uucppublic
	chmod 01777     `pwd`/debian/uucp/var/spool/uucppublic
	#
	chown uucp.root `pwd`/debian/uucp/usr/bin/uustat
	chown uucp.root `pwd`/debian/uucp/usr/bin/uux
	chown uucp.root `pwd`/debian/uucp/usr/bin/uucp
	chmod 04755     `pwd`/debian/uucp/usr/bin/uustat
	chmod 04755     `pwd`/debian/uucp/usr/bin/uux
	chmod 04755     `pwd`/debian/uucp/usr/bin/uucp
	chown uucp.uucp `pwd`/debian/uucp/usr/sbin/uuxqt
	chmod 06755     `pwd`/debian/uucp/usr/sbin/uuxqt
	chown uucp.dialout `pwd`/debian/uucp/usr/lib/uucp/uucico
	chmod 06755        `pwd`/debian/uucp/usr/lib/uucp/uucico
	#
	chmod 00640     `pwd`/debian/uucp/etc/uucp/call
	chown uucp.uucp `pwd`/debian/uucp/etc/uucp/call
	chmod 00640     `pwd`/debian/uucp/etc/uucp/passwd
	# work around automake bug.  See #213371 and #214769
	rm -f `pwd`/debian/uucp/usr/share/info/dir.gz `pwd`/debian/uucp/usr/share/info/dir.old.gz

override_dh_auto_install:
	dh_auto_install
	make install \
		bindir=`pwd`/debian/uucp/usr/bin \
		sbindir=`pwd`/debian/uucp/usr/sbin \
		newconfigdir=`pwd`/debian/uucp/etc/uucp \
		oldconfigdir=`pwd`/debian/uucp/etc/uucp \
		prefix=`pwd`/debian/uucp/usr \
		exec_prefix=`pwd`/debian/uucp/usr
	install -m 755 -g root contrib/uurate `pwd`/debian/uucp/usr/sbin
	install -m 755 -g root debian/contrib/in.uucpd `pwd`/debian/uucp/usr/sbin/in.uucpd
	mv `pwd`/debian/uucp/usr/sbin/uuchk `pwd`/debian/uucp/usr/lib/uucp
	mv `pwd`/debian/uucp/usr/sbin/uuconv `pwd`/debian/uucp/usr/lib/uucp
	mv `pwd`/debian/uucp/usr/sbin/uucico `pwd`/debian/uucp/usr/lib/uucp/uucico
	#
	install -m 755 -g root debian/contrib/uudemon.day `pwd`/debian/uucp/usr/lib/uucp
	install -m 755 -g root debian/contrib/uudemon.hr `pwd`/debian/uucp/usr/lib/uucp
	install -m 755 -g root debian/contrib/uutraf.pl `pwd`/debian/uucp/usr/lib/uucp
	install -m 755 -g root debian/contrib/uupoll `pwd`/debian/uucp/usr/sbin
	#
	install -g root -m 644 debian/etc.uucp/* `pwd`/debian/uucp/etc/uucp
	#
	install -g root -m 644 debian/sample.hdb/* `pwd`/debian/uucp/usr/share/doc/uucp/examples/hdb
	install -g root -m 644 debian/etc.uucp/* `pwd`/debian/uucp/usr/share/doc/uucp/examples/taylor
	#
	install -g root -m 644 debian/uucp.overrides `pwd`/debian/uucp/usr/share/lintian/overrides/uucp
	#
	dh_movefiles -p cu --sourcedir=debian/uucp

# we now directly use the name of the service file
#override_dh_installsystemd:
#	dh_installsystemd
#	# we come from an inetd service, so we have to set accept=yes in uucp.socket and such require the @
#	mv `pwd`/debian/uucp/lib/systemd/system/uucp.service `pwd`/debian/uucp/lib/systemd/system/uucp@.service

=== debian/watch ===
version=4
opts=pasv \
ftp://ftp.gnu.org/pub/gnu/uucp/uucp-([\d\.]+)\.tar\.gz
